> ## Documentation Index > Fetch the complete documentation index at: https://support.keypro.fi/llms.txt > Use this file to discover all available pages before exploring further. # Get list of telecom manholes > Operation is used to get a list of telecom manholes. Available from product version 3.2.8. Manholes list can be filtered by giving filtering parameters at HTTP querystring (see parameters). ## OpenAPI ````json GET /manholes/ { "openapi": "3.0.4", "info": { "title": "KeyCom REST API", "termsOfService": "https://www.keypro.fi/en/terms-of-service", "contact": { "name": "Keypro Oy", "url": "https://keypro.fi/", "email": "keypro@keypro.fi" }, "license": { "name": "Copyright (C) Keypro Oy. All rights reserved.", "url": "https://www.keypro.fi/" }, "version": "2.0.0" }, "servers": [ { "url": "/api/v2" } ], "tags": [ { "name": "Plan", "description": "Plan related operations." }, { "name": "FreeArea", "description": "FreeArea related operations." }, { "name": "FreeLine", "description": "FreeLine related operations." }, { "name": "FreeText", "description": "FreeText related operations." }, { "name": "FreeTextComponent", "description": "FreeText component related operations." }, { "name": "Address", "description": "Building address related operations." }, { "name": "Apartment", "description": "Building apartments related operations." }, { "name": "Extra Attribute", "description": "Extra attributes related operations." }, { "name": "Extra Value", "description": "Extra attribute values related operations." }, { "name": "EAV Enum", "description": "EAV Enum value related operations." }, { "name": "EAV Enum Group", "description": "EAV Enum group related operations." }, { "name": "External Document", "description": "External documents related operations." }, { "name": "Attached Document", "description": "Attached Documents related operations." }, { "name": "Collections", "description": "Collection related operations." }, { "name": "Source system apartment", "description": "External source system derived apartment related operations." }, { "name": "Source system address", "description": "External source system derived address related operations." }, { "name": "Address alias", "description": "Address aliases related operations" }, { "name": "TxtConstant", "description": "TxtConstants related operations." }, { "name": "Point", "description": "Point objects related operations." }, { "name": "Survey Constant", "description": "Survey Constants related operations." }, { "name": "Survey Point", "description": "Survey Points related operations." }, { "name": "Survey Line String", "description": "Survey Line Strings related operations." }, { "name": "Template Catalog", "description": "Template Catalog related operations." }, { "name": "Route Following", "description": "Route following related operations." }, { "name": "Contact Person", "description": "Contact person related operations." }, { "name": "Contact Person Connection", "description": "Contact person connection related operations." }, { "name": "Telecom premises", "description": "Telecom premises related operations." }, { "name": "Device", "description": "Device related operations." }, { "name": "Device Group", "description": "Device Group related operations." }, { "name": "Splice", "description": "Telecom Splice related operations." }, { "name": "Telecom Conduit", "description": "Telecom Conduit related operations." }, { "name": "Telecom Conduit Link", "description": "Operations related to putting Telecom Cables and Ducts into Conduits." }, { "name": "Telecom Duct", "description": "Telecom Duct related operations." }, { "name": "Telecom Duct Link", "description": "Operations related to putting Telecom Cables into Ducts." }, { "name": "Telecom Conduit Connection", "description": "Operations related to connecting Conduits and endpoints." }, { "name": "Telecom Cable Connection", "description": "Operations related to connecting Cables and endpoints" }, { "name": "Telecom Thread/Port Connection", "description": "Operations related to connecting and disconnecting telecom cable threads and device ports" }, { "name": "Telecom Duct Connection", "description": "Operations related to connecting Telecom Ducts to Telecom Premises or Manhole." }, { "name": "Manhole", "description": "Telecom Manhole related operations." }, { "name": "Cable", "description": "Telecom Cable related operations." }, { "name": "Cable Appendix", "description": "Cable Appendix operations for connecting Cables to loops. Manages the relationship between Cables and loops, automatically adjusting Cable extra_length when appendixes are created, updated, or deleted." }, { "name": "Supercable", "description": "Telecom Supercable related operations." }, { "name": "Cross connection point", "description": "Cross connection point related operations." }, { "name": "Service Area", "description": "Service Area related operations." }, { "name": "Exchange Area", "description": "Exchange Area related operations." }, { "name": "Telecom Area", "description": "Telecom Area related operations." }, { "name": "Routefollower", "description": "Routefollower related operations." }, { "name": "Circuit", "description": "Circuit related operations." }, { "name": "Circuit Location", "description": "Circuit installation location related operations." }, { "name": "Circuit Section", "description": "Circuit section related operations." }, { "name": "Circuit Reservation Data", "description": "Circuit reservation data view and search operations." }, { "name": "Customer", "description": "Customer data related operations." }, { "name": "Passed Services", "description": "Passed Services related operations." }, { "name": "Circuit Connection", "description": "Circuit logical reservations related operations." }, { "name": "Circuit Physical Reservation", "description": "Circuit physical reservations related operations." }, { "name": "Create connections", "description": "Operation used to create new connections." }, { "name": "Terminal type", "description": "Terminal types related operations." }, { "name": "Logical connections", "description": "Logical connections related operations." }, { "name": "Circuit Services", "description": "Operations provided by micro services." }, { "name": "Contract", "description": "Contract related operations." }, { "name": "Contract Link", "description": "Contract link related operations." }, { "name": "Pole", "description": "Pole related operations." }, { "name": "Circuit faults", "description": "Circuit faults related operations." }, { "name": "Duct groups", "description": "Duct groups related operations." }, { "name": "Duct group rows", "description": "Duct group rows related operations." }, { "name": "Threads", "description": "Cable thread related operations." }, { "name": "Task", "description": "Task related operations." }, { "name": "Subregion", "description": "Subregion related operations." }, { "name": "SAttribute", "description": "SAttribute related operations." }, { "name": "Fault", "description": "Fault related operations." }, { "name": "Maintenance history", "description": "Maintenance history related operations." }, { "name": "Deflection", "description": "Deflection related operations." }, { "name": "Fault Component", "description": "Fault Component related operations." }, { "name": "Task Comment", "description": "Task comment related operations." }, { "name": "FaultComponentFault", "description": "FaultComponentFault related operations." } ], "paths": { "/manholes/": { "get": { "tags": [ "Manhole" ], "summary": "Get list of telecom manholes", "description": "Operation is used to get a list of telecom manholes. Available from product version 3.2.8.\n\nManholes list can be filtered by giving filtering parameters at HTTP querystring (see parameters).\n", "operationId": "getManhole", "parameters": [ { "$ref": "#/components/parameters/offsetParam" }, { "$ref": "#/components/parameters/limitParam" }, { "$ref": "#/components/parameters/srsParam" }, { "$ref": "#/components/parameters/precisionParam" }, { "$ref": "#/components/parameters/dimsParam" }, { "$ref": "#/components/parameters/filterParam" }, { "$ref": "#/components/parameters/orderParam" } ], "responses": { "200": { "description": "A result response object.", "content": { "application/json": { "schema": { "type": "object", "properties": { "Next": { "type": "string", "description": "Url to next page of manholes list. Null if No next page exist", "format": "url" }, "Previous": { "type": "string", "description": "Url to previous page of manholes list. Null if No previous page exist", "format": "url" }, "Results": { "type": "array", "items": { "$ref": "#/components/schemas/Manhole" }, "description": "List of fetched manholes" }, "Total": { "type": "integer", "description": "Total number of telecom manholes" } } }, "example": { "Next": "https://example.keycom.fi/api/v2/manholes/?limit=3&offset=6&orderby=id", "Previous": "https://example.keycom.fi/api/v2/manholes/?limit=3&orderby=id", "Results": [ { "address": "https://example.keycom.fi/api/v2/apartments/7179/", "angle": 88.39442279936954, "createdBy": "", "createdTs": null, "diagramConfirm": null, "heightAccuracy": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "H_ACCURACY", "id": 117210, "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/H_ACCURACY/", "logical_txt": "Ei määritelty", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Ei määritelty" }, "historyDate": null, "id": 70, "identification": "", "installYear": null, "location": "SRID=3067;POINT Z (457538.6286 6702986.758 0)", "locationAccuracy": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "LOCATION_ACCURACY", "id": 8301, "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/LOCATION_ACCURACY/", "logical_txt": "2.0m", "num_value": 2.0, "num_value2": null, "num_value3": null, "num_value4": 2.0, "txt": "2.0m" }, "mapper": "", "mappingMethod": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "MAPPING_METHOD", "id": 390, "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/MAPPING_METHOD/", "logical_txt": "Digitoitu", "num_value": 4.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Digitoitu" }, "owner": null, "plan": null, "remarks": "", "rentPaid": null, "renter": null, "scale": 1.0, "surveyAmount": "", "telecomArea": 10, "type": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "MANHOLE_TYPE", "id": 1290, "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/MANHOLE_TYPE/", "logical_txt": "Profiilin muutoskohta", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Profiilin muutoskohta" }, "updatedBy": "KEYCOM_STAGE", "updatedTs": "2010-07-22T10:53:47", "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "MANHOLE_STATE", "id": 590, "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/MANHOLE_STATE/", "logical_txt": "Käytössä", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Käytössä" } }, { "address": "https://example.keycom.fi/api/v2/apartments/7179/", "angle": 17.288388732063638, "createdBy": "", "createdTs": null, "diagramConfirm": null, "heightAccuracy": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "H_ACCURACY", "id": 117210, "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/H_ACCURACY/", "logical_txt": "Ei määritelty", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Ei määritelty" }, "historyDate": null, "id": 150, "identification": "", "installYear": null, "location": "SRID=3067;POINT Z (457712.6973 6703073.5746 0)", "locationAccuracy": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "LOCATION_ACCURACY", "id": 8301, "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/LOCATION_ACCURACY/", "logical_txt": "2.0m", "num_value": 2.0, "num_value2": null, "num_value3": null, "num_value4": 2.0, "txt": "2.0m" }, "mapper": "", "mappingMethod": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "MAPPING_METHOD", "id": 390, "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/MAPPING_METHOD/", "logical_txt": "Digitoitu", "num_value": 4.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Digitoitu" }, "owner": null, "plan": null, "remarks": "", "rentPaid": null, "renter": null, "scale": 1.0, "surveyAmount": "", "telecomArea": 10, "type": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "MANHOLE_TYPE", "id": 1290, "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/MANHOLE_TYPE/", "logical_txt": "Profiilin muutoskohta", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Profiilin muutoskohta" }, "updatedBy": "KEYCOM_STAGE", "updatedTs": "2010-07-22T10:53:47", "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "MANHOLE_STATE", "id": 590, "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/MANHOLE_STATE/", "logical_txt": "Käytössä", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Käytössä" } }, { "address": "https://example.keycom.fi/api/v2/apartments/7179/", "angle": 90.0, "createdBy": "", "createdTs": null, "diagramConfirm": null, "heightAccuracy": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "H_ACCURACY", "id": 117210, "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/H_ACCURACY/", "logical_txt": "Ei määritelty", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Ei määritelty" }, "historyDate": null, "id": 190, "identification": "", "installYear": null, "location": null, "locationAccuracy": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "LOCATION_ACCURACY", "id": 8301, "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/LOCATION_ACCURACY/", "logical_txt": "2.0m", "num_value": 2.0, "num_value2": null, "num_value3": null, "num_value4": 2.0, "txt": "2.0m" }, "mapper": "", "mappingMethod": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "MAPPING_METHOD", "id": 390, "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/MAPPING_METHOD/", "logical_txt": "Digitoitu", "num_value": 4.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Digitoitu" }, "owner": null, "plan": null, "remarks": "", "rentPaid": null, "renter": null, "scale": 1.0, "surveyAmount": "", "telecomArea": 10, "type": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "MANHOLE_TYPE", "id": 1290, "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/MANHOLE_TYPE/", "logical_txt": "Profiilin muutoskohta", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Profiilin muutoskohta" }, "updatedBy": "KEYCOM_STAGE", "updatedTs": "2010-07-22T10:48:09", "usageState": { "availability_end_ts": null, "availability_start_ts": null, "available": true, "groupname": "MANHOLE_STATE", "id": 590, "list_url": "https://example.keycom.fi/api/v2/txt_constants/groupname/MANHOLE_STATE/", "logical_txt": "Käytössä", "num_value": 1.0, "num_value2": null, "num_value3": null, "num_value4": null, "txt": "Käytössä" } } ], "Total": 3509 } } } }, "401": { "$ref": "#/components/responses/Http401" } }, "security": [ { "Token": [] } ] } } }, "components": { "parameters": { "offsetParam": { "name": "offset", "in": "query", "description": "Offset to start returning results.", "schema": { "minimum": 0, "type": "integer" } }, "limitParam": { "name": "limit", "in": "query", "description": "Limit number of results returned. Set to -1 to use maximum limit set in the environment. Default limit will be used if parameter is not specified. Special value -1 is available from product version 3.2.18.", "schema": { "minimum": 1, "type": "integer" } }, "srsParam": { "name": "srs", "in": "query", "description": "Coordinate system used to transform location fields in API responses.\nThis parameter does not apply to locations sent in request query parameters or request bodies.\n\nFor locations in requests, use EWKT with SRID.\nIf EWKT is provided without SRID, the system default SRID will be used.\n\n**Example:** `srs=epsg:4326`\n", "schema": { "type": "string" } }, "precisionParam": { "name": "precision", "in": "query", "description": "Number of decimals to be returned with object location. If parameter is not specified the number of decimals is as precise as possible for current running instance. Available from product version 2024.4.", "schema": { "minimum": 1, "type": "integer" } }, "dimsParam": { "name": "dimensions", "in": "query", "description": "number of dimensions to be returned. Acceptable values are 2 and 3. If parameter is not specified the number of dimensions are as default for current product. Available from product version 2024.4.", "schema": { "minimum": 1, "type": "integer" } }, "filterParam": { "name": "__any of the object fields__", "in": "query", "description": "Filters list by selected object field value.\nSupports structured queries via +++__+++ delimiter.\nSupports ending keywords via +++__+++ delimiter:\n- For string fields: istartswith, startswith, iendswith, endswith, contains, icontains, isnull\n- For numerics: gt, lt, gte, lte, isnull\n- For spatial fields: contains, isnull, within, intersects, disjoint, touches, overlaps, covers, coveredby\n**Examples:** `+++usage_state__txt__istartswith=in+++` ,\n`+++plan__state__txt__startswith=In+++` , `+++creation_date__gte=2019-01-02T15:32:01+++`,\n`+++location__within=POLYGON ((641503.89 6944059.81, 641406.52 6943933.87, 641369.48 6943772.48, 641474.25 6943704.74, 641873.78 6943735.96, 641848.38 6943975.15, 641607.08 6944167.76, 641653.11 6944102.15, 641503.89 6944059.81))+++`\nSupports exclusive queries by field value using a not-operator preceding the field lookup:\n**Examples:** `+++not__type__txt__istartswith=Tie+++` , `+++not__id=1390+++`\n", "schema": { "type": "string" } }, "orderParam": { "name": "orderby", "in": "query", "description": "Selects the object field to order the returned objects by.\nCan be used to sort in reverse order with '-' prefix.\nCan have several ordering rules separated by comma.\nCan be used only for object own fields and does not support structured queries.\n**Example:** `orderby=creator,-creation_date`\n", "schema": { "type": "string" } } }, "schemas": { "Manhole": { "required": [ "identification", "usageState", "type" ], "type": "object", "properties": { "address": { "type": "string", "description": "url of manhole address apartments", "format": "url" }, "angle": { "$ref": "#/components/schemas/Angle" }, "createdBy": { "type": "string", "description": "creator", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date and time", "format": "date-time", "readOnly": true }, "diagramConfirm": { "$ref": "#/components/schemas/DiagramConfirm" }, "height_accuracy": { "$ref": "#/components/schemas/HeightAccuracy" }, "historyDate": { "type": "string", "description": "history date", "format": "date" }, "id": { "type": "integer", "description": "Manhole primary key", "readOnly": true }, "identification": { "type": "string", "description": "Name of manhole. Checked based on [Identification Uniqueness Rule](#_identification_uniqueness_rule)\n" }, "installYear": { "type": "integer", "description": "Installation year" }, "location": { "type": "string", "description": "Geographical location. Available from product version 3.2.16.", "format": "ewkt" }, "locationAccuracy": { "$ref": "#/components/schemas/LocationAccuracy" }, "mapper": { "type": "string", "description": "mapper name" }, "mappingMethod": { "$ref": "#/components/schemas/MappingMethod" }, "owner": { "$ref": "#/components/schemas/ElManholeOwner" }, "plan": { "type": "string", "description": "url of manhole plan", "format": "url" }, "remarks": { "type": "string", "description": "Remarks" }, "rentPaid": { "type": "boolean", "description": "Is rent paid or not" }, "renter": { "$ref": "#/components/schemas/ElManholeRenter" }, "safetyDistance": { "$ref": "#/components/schemas/SafetyDistance" }, "scale": { "type": "number", "description": "Scale", "format": "float" }, "surveyAmount": { "type": "integer", "description": "unknown" }, "telecomArea": { "$ref": "#/components/schemas/TelecomArea" }, "type": { "$ref": "#/components/schemas/ManholeType" }, "updatedBy": { "type": "string", "description": "Last updater", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date time", "format": "date-time", "readOnly": true }, "usageState": { "$ref": "#/components/schemas/ManholeUsageState" } }, "description": "information of a telecom manhole object" }, "Angle": { "type": "number", "description": "Angle in degrees. 0 is north.\nInput accepts values from -360 to 360. \nNegative values are converted to positive (-90 -> 270).\nReturned as 0-360 (exclusive). \n360 converts to 0.\n", "format": "float", "example": 138.5 }, "DiagramConfirm": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MANHDIAG_CONFIRMED" ], "description": "Group name of constant." }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "For defining, if manhole diagram is confirmed" }, "HeightAccuracy": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "H_ACCURACY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Height accuracy" }, "LocationAccuracy": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "LOCATION_ACCURACY" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Location accuracy" }, "MappingMethod": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MAPPING_METHOD" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Mapping method" }, "ElManholeOwner": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MANHOLE_OWNER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Manhole owner" }, "ElManholeRenter": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MANHOLE_RENTER" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Manhole renter" }, "SafetyDistance": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "SAFETY_DISTANCE" ], "description": "Group name of constant." }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Safety Distance" }, "TelecomArea": { "required": [ "name", "exchangeArea" ], "type": "object", "properties": { "areaSize": { "type": "number", "description": "Area size", "format": "float" }, "createdBy": { "type": "string", "description": "Creator", "readOnly": true }, "createdTs": { "type": "string", "description": "Creation date time", "format": "date-time", "readOnly": true }, "exchangeArea": { "$ref": "#/components/schemas/ExchangeArea" }, "id": { "type": "integer", "description": "Primary key" }, "location": { "type": "string", "description": "Geographical location", "format": "ewkt" }, "name": { "type": "string", "description": "Area name" }, "perimeter": { "type": "number", "description": "Area perimeter length", "format": "float" }, "remarks": { "type": "string", "description": "Area comments" }, "telecomAreaType": { "$ref": "#/components/schemas/TelecomAreaType" }, "updatedBy": { "type": "string", "description": "Last updater", "readOnly": true }, "updatedTs": { "type": "string", "description": "Last update date time", "format": "date-time", "readOnly": true } }, "description": "Telecom Area" }, "ManholeType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MANHOLE_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Manhole type" }, "ManholeUsageState": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "MANHOLE_STATE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Manhole usage state" }, "ErrorDetailsResponse": { "required": [ "details" ], "type": "object", "properties": { "details": { "type": "string", "description": "Detailed description of error" } }, "description": "Standard error response payload" }, "ExchangeArea": { "required": [ "name" ], "type": "object", "properties": { "id": { "type": "integer", "description": "Primary key" }, "name": { "type": "string", "description": "Area name" } }, "description": "Exchange Area" }, "TelecomAreaType": { "required": [ "id", "groupname", "logical_txt", "txt", "list_url" ], "type": "object", "properties": { "availability_end_ts": { "type": "string", "description": "Ending date time for availability", "format": "date-time" }, "availability_start_ts": { "type": "string", "description": "Beginning date time for availability", "format": "date-time" }, "available": { "type": "boolean", "description": "Is object deemed as available. Based on availability_start_ts and availability_end_ts values.", "readOnly": true }, "groupname": { "enum": [ "TELECOM_AREA_TYPE" ], "description": "Group name of constant" }, "id": { "type": "integer", "description": "Unique id of constant" }, "list_url": { "type": "string", "description": "Url to fetch all constants from this group", "format": "url" }, "logical_txt": { "type": "string", "description": "Logical textual value" }, "num_value": { "type": "number", "description": "Numeric value", "format": "float" }, "num_value2": { "type": "number", "description": "Numeric value 2", "format": "float" }, "num_value3": { "type": "number", "description": "Numeric value 3", "format": "float" }, "num_value4": { "type": "number", "description": "Numeric value 4", "format": "float" }, "txt": { "type": "string", "description": "Human readable textual representation" } }, "description": "Telecom area type" } }, "responses": { "Http401": { "description": "Authentication credentials are missing or invalid", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/ErrorDetailsResponse" }, "example": { "details": "Authentication credentials were not provided" } } } } }, "securitySchemes": { "Token": { "type": "apiKey", "description": "Token issued for API consumer.", "name": "Authorization", "in": "header" } } } } ````